alter table tblCustomer add LastNameSoundex varchar(4) null
go

update tblCustomer
set LastNameSoundex = soundex(LastName)
go
select LastName, LastNameSoundex
from tblCustomer
go

create trigger trCustomerI
on tblCustomer
for insert, update
as
   update tblCustomer
   set tblCustomer.LastNameSoundex = soundex(tblCustomer.LastName)
   from inserted
   where tblCustomer.ID = inserted.ID
go
