<?xml version='1.0' encoding='UTF-8'?>          
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
    
    <xsl:template match = '*'>                                
        <xsl:apply-templates />                               
    </xsl:template>                                           
    <xsl:template match = 'tblCustomer'>                        
       <TR>                                                   
         <TD><xsl:value-of select = '@FirstName' /></TD>      
         <TD><xsl:value-of select = '@LastName' /></TD>
         <TD><xsl:value-of select = '@Address' /></TD>
         <TD><xsl:value-of select = '@City' /></TD>
         <TD><xsl:value-of select = '@State' /></TD>
       </TR>                                                  
    </xsl:template>
    <xsl:template match = '/'>                               
      <HTML>                                                  
        <HEAD>                                                
           <STYLE>th { background-color: #00008C; color: #ffffff;} td {font-family: Arial}</STYLE>    
        </HEAD>                                               
        <BODY>                                                
         <TABLE border='1' style='width:600;'>                
           <TR><TH colspan='9'>Customers</TH></TR>            
           <TR>
           <TH>First name</TH>
           <TH>Last name</TH>
           <TH>Address</TH>
           <TH>City</TH>
           <TH>State</TH>
           
           </TR>    
           <xsl:apply-templates select = 'root' />            
         </TABLE>                                             
        </BODY>                                               
      </HTML>                                                 
    </xsl:template>                                           
</xsl:stylesheet>

